# Parsing server lists

## SYNOPSIS

#include <libgearman/gearman.h>

type gearman_parse_server_fn

gearman_return_t gearman_parse_servers(const char *servers, gearman_parse_server_fn *function, void *context)

Link with -lgearman

## DESCRIPTION

`gearman_parse_servers()` parses a list of servers and call the `gearman_parse_server_fn()` for each server.

## RETURN VALUE

A value of type `gearman_return_t` is returned. On success that value will be `GEARMAN_SUCCESS`. Use gearman_strerror to translate this value to a printable string.

## HOME

To find out more information please check: http://gearman.info/

## SEE ALSO

gearmand(8) libgearman(3)